------------------------------------------------------------------------------------
--Name：            200628[简体征服][活动脚本]全球七夕花魁活动（剧情）
--Creator:      耿力兀
--Created:     2020-06-28
------------------------------------------------------------------------------------

------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(344,442)

local hero = CppScriptMgr:QueryHero();
hero:SetLook(hero:GetLook(), false, true)
hero:SetZoomPercent(100)
hero:SetPos(348,444)
hero:SetDir(2)
local player1 = CppScriptMgr:AddSimplePlayer(19936,344,442,"Daily Quest Envoy",4003000021,1)
local player2 = CppScriptMgr:AddSimplePlayer(1050930,352,433,"Guo Jing",4003000022,1)
local player3 = CppScriptMgr:AddSimplePlayer(1062880,350,440,"Server Transfer Officer",4003000023,1)
local player4 = CppScriptMgr:AddSimplePlayer(26794,348,449,"Lottery Envoy",4003000024,1)

CppScriptMgr:NpcCallOut("    You`re now at the quest stage of Twin City. Set off fireworks to celebrate Christmas!",2500,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"Christmas Officer",250,655)
hero:SetAction(220)
hero:SetAction(220)
CppScriptMgr:WaitMilSec(1000)
local effectObj2 = CppScriptMgr:AddEffect("FF02_1",351,433);
local effectObj3 = CppScriptMgr:AddEffect("FF03_1",337,433);
local effectObj4 = CppScriptMgr:AddEffect("FF04_1",337,447);
local effectObj5 = CppScriptMgr:AddEffect("FF05_1",351,447);
local effectObj6 = CppScriptMgr:AddEffect("FF07_1",340,441);
local effectObj7 = CppScriptMgr:AddEffect("FF08_1",348,441);
local effectObj8 = CppScriptMgr:AddEffect("shengdanfenwei",344,442);
local effectObj9 = CppScriptMgr:AddEffect("shengdanfenwei",333,430);
local effectObj10 = CppScriptMgr:AddEffect("shengdanfenwei",358,454);

player1:Say("    How splendid the fireworks are! I wish for a great harvest next year.",2000)
CppScriptMgr:WaitMilSec(2000)
player2:SetAction(200)
player2:Say("    I want my children to be healthy and happy.",2000)
CppScriptMgr:WaitMilSec(2000)
player3:Say("    #18 Hope my mom get recovered soon.",2000)
player3:SetAction(170)
CppScriptMgr:WaitMilSec(2000)


-- 镜头二
CppScriptMgr:SetViewPosByCell(334,546)
CppScriptMgr:WaitMilSec(100)
local player11 = CppScriptMgr:AddSimplePlayer(1606,332,547,"Love Stone",4003000036,1)
local effectObj11 = CppScriptMgr:AddEffect("NEW-flower-g-1",332,547);
local effectObj12 = CppScriptMgr:AddEffect("shengdanfenwei",339,544);
local effectObj13 = CppScriptMgr:AddEffect("shengdanfenwei",324,547);
local player12 = CppScriptMgr:AddSimplePlayer(106030,331,538,"Matchmaker",4003000037,1)
local player13 = CppScriptMgr:AddSimplePlayer(1054470,324,549,"Moon Fairy",4003000038,1)
local player14 = CppScriptMgr:AddSimplePlayer(1054592,340,547,"Xu Susu",4003000039,1)
local player15 = CppScriptMgr:AddSimplePlayer(1054522,340,544,"Wu Jing",4003000040,1)
local player16 = CppScriptMgr:AddSimplePlayer(106216,327,547,"Xin Chenzi",4003000041,1)
local player17 = CppScriptMgr:AddSimplePlayer(1059324,331,551,"GM CP Collector",4003000042,1)
local hero3 = CppScriptMgr:QueryHero();
hero3:SetLook(hero3:GetLook(), false, true) ;
hero3:SetZoomPercent(100)
hero3:SetPos(337,553)


CppScriptMgr:NpcCallOut("    You may wish for everlasting love upon the Love Stone.",2500,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"Christmas Officer",250,655)

player15:Say("    As I promise always to be true, I promise myself to you.",2000)
CppScriptMgr:WaitMilSec(2000)
local effectObj14 = CppScriptMgr:AddEffect("thunder1-2",340,544)
local effectObj15 = CppScriptMgr:AddEffect("thunder1-2",340,544)
CppScriptMgr:WaitMilSec(1000)
player14:SetAction(170)
player14:Say("    #08 You`re a liar. I won`t believe you any more.",2000)
CppScriptMgr:WaitMilSec(2000)
player16:Say("    #52 To you, I promise to cherish and share in everything.",2000)
CppScriptMgr:WaitMilSec(2000)
hero3:WalkTo(334,543)
player17:Say("    #52 Wherever is your heart I call home.",2000)
CppScriptMgr:WaitMilSec(3500)
hero3:SetAction(200)
hero3:Say("    Hope I can find my true love.",2000)
local effectObj16 = CppScriptMgr:AddEffect("accession",332,547)
CppScriptMgr:WaitMilSec(2000)



--镜头三
CppScriptMgr:SetViewPosByCell(281,476)
local player5 = CppScriptMgr:AddSimplePlayer(14327,281,476,"Wishing Tree",4003000030,1)
player5:SetZoomPercent(80);
local effectObj17 = CppScriptMgr:AddEffect("guard_defshare",281,476);
local effectObj18 = CppScriptMgr:AddEffect("shengdanfenwei",292,475);
local effectObj19 = CppScriptMgr:AddEffect("shengdanfenwei",273,474);
local player6 = CppScriptMgr:AddSimplePlayer(20876,282,481,"Cher",4003000031,1)
player6:SetDir(5)
local player7 = CppScriptMgr:AddSimplePlayer(16060,282,471,"Duoduo",4003000032,1)
local player8 = CppScriptMgr:AddSimplePlayer(21614,277,480,"Lisa",4003000033,1)
local player9 = CppScriptMgr:AddSimplePlayer(1055034,275,486,"Solar Saint",4003000034,1)
local player10 = CppScriptMgr:AddSimplePlayer(1054526,260,471,"Tower Keeper",4003000035,1)
local player18 = CppScriptMgr:AddSimplePlayer(37474,282,489,"Astral Master",4003000043,1)
player18:SetDir(4)
local player19 = CppScriptMgr:AddSimplePlayer(19930,275,467,"Daily Quest Envoy",4003000044,1)

local hero2 = CppScriptMgr:QueryHero();
hero2:SetLook(hero2:GetLook(), false, true) ;
hero2:SetZoomPercent(100)
hero2:SetPos(284,475)

CppScriptMgr:NpcCallOut("    Welcome to the Tower of Mystery! You can make wishes upon the Wishing Tree here.",2500,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"Christmas Officer",250,655)
player10:WalkTo(277,476)
player6:Say("   Merry Christmas!",2000)
CppScriptMgr:WaitMilSec(2000)
player7:Say("    Santa Claus, may I have a candy?",2000)
CppScriptMgr:WaitMilSec(2000)
player8:Say("    #35 Candies are so sweet. Do you have a candy?",2000)
CppScriptMgr:WaitMilSec(2000)
hero2:SetAction(200)
hero2:Say("    I hope for world peace.",2000)
CppScriptMgr:WaitMilSec(2000)
local effectObj20 = CppScriptMgr:AddEffect("accession",254,470);
player10:SetAction(200)
player10:Say("    Hope the Sacred Tree brings peace back to the continent.",2000)
local effectObj21 = CppScriptMgr:AddEffect("accession",254,470);
CppScriptMgr:WaitMilSec(2000)

